use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ILineBreak;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "line_break")]
pub(crate) struct RenderLineBreak {}

impl RenderLineBreak {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        comment: &ILineBreak,
    ) -> Result<RenderLineBreak, CustomError> {
        Ok(RenderLineBreak {})
    }
}
