use super::macros::intermediate;
use super::registry::Registry;
use super::IElement;
use super::IObject;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IPlainListItem {
    pub(crate) tag: Vec<IObject>,
    pub(crate) children: Vec<IElement>,
}

intermediate!(IPlainListItem, PlainListItem, original, registry, {
    let tag = {
        let mut ret = Vec::new();
        for obj in original.tag.iter() {
            ret.push(IObject::new(registry, obj).await?);
        }
        ret
    };

    let children = {
        let mut ret = Vec::new();
        for elem in original.children.iter() {
            ret.push(IElement::new(registry, elem).await?);
        }
        ret
    };

    Ok(IPlainListItem { tag, children })
});
